#ifndef __CONFIG_H__
#define __CONFIG_H__

/*
0, 5, 0, 2
QHYCCD  (Beijing) Technology Co., Ltd.

system_profiler SPUSBDataType

/lib/firmware/qhy
*/
#if (defined(__linux__ )&&!defined (__ANDROID__)) ||(defined (__APPLE__)&&defined( __MACH__))
#include <unistd.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <errno.h>
#endif
	
#if defined (_WIN32)
#include <windows.h>
#include <process.h>
#include <time.h>
#endif





//Module compilation switch part
#undef 	GIGAESUPPORT
#undef 	AuxImage
#undef 	WIN_98_DDK





#if defined (_WIN32)
#define QHYCCD_OPENCV_SUPPORT
#define CALLBACK_MODE_SUPPORT	1
#define WINDOWS_PTHREAD_SUPPORT	1
#define CYUSB_MODE_SUPPORT  	1
#define WINUSB_MODE_SUPPORT  	1
#else
#undef  QHYCCD_OPENCV_SUPPORT
#define CALLBACK_MODE_SUPPORT	0
#define WINDOWS_PTHREAD_SUPPORT	0
#define LIBUSB_MODE_SUPPORT  	1
#endif



#endif

